Jump to content
Latest News: (loading..)
kymation

[Addon} Theme Switcher

Recommended Posts

The images are in your theme folder in a folder named images. The filenames are something like ui-icons_ffffff_256x240.png, where the ffffff is the color you chose when you designed the theme. There will normally be five of them.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

You have two things you need to back up: your files and your database.

 

First, use FileZilla to copy your entire catalog directory to your local computer. As always here on the forum, "catalog" refers to whatever directory you have osCommerce installed into. Put that copy where you can find it if you need to. I add a date to the containing folder so I know how old the backup is. Your files are now backed up.

 

Second, log in to your store's Admin and click on Tools, then Database Backup. Click the backup button, check the box that says Download only (do not store server side)*and then click the Backup button. Save the resulting file in a safe place. Storing it with the file backup is not a bad idea. Your database is now backed up.

 

A good rule is to backup files anytime you make a change, and backup the database daily. You might do database backups less frequently if your store is not very busy, or more often if it is very busy.

 

Regards

Jim

 

Thanks for being so helpful, Jim!!

Share this post


Link to post
Share on other sites

hi there..

i really like to use this addon,it's make my life is easier..

the installation is going right,

When i have choose the template in redmond, the problems is my product list going to get white..

see the picture below..

2py3ucx.jpg

how to make the white colour in my product list is become like backgroud colour (actualy in green colour)..

what i have to change in css ?

 

thx for the advice ...

Share this post


Link to post
Share on other sites

The background is not part of the theme. You need to change that in your catalog/stylesheet.php. Use the Firebug utility in Firefox to find the CSS class to modify.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

The background is not part of the theme. You need to change that in your catalog/stylesheet.php. Use the Firebug utility in Firefox to find the CSS class to modify.

 

Regards

Jim

 

Hi Jim

 

Bit off the post but is there a compatible version for 2.2? or is the current addon suitable?

 

thanks :-"

Share this post


Link to post
Share on other sites

No and no. The 2.2 versions don't have themes, nor do they have any easy way of adding themes. You would need to switch to 2.3.1 to use themes.

 

Regards

JIm


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Dear Jim and dear all,

 

I have been figuring this out as a complete blonde newbie ;) But not I can't go on since I dont understand what I have done wrong :( I have a complete new shop - unmodified and have triple checked that I have put all the files where they are supposed to be but this is the error I get, I backtraced it and this is how it looks... any suggestions?

 

 

= = = = = = = = Backtrace = = = = = = = =

ht_theme_switcher.php is referenced in /home/urbanbe7/public_html/catalog/admin/modules.php on line 130 in a "include"

 

= = = = = = = = = = = = = = = = = = = = =

 

Fatal error: Cannot redeclare class ht_theme_switcher in /home/urbanbe7/public_html/catalog/includes/modules/header_tags/ht_theme_switcher.php on line 33

 

 

FYI here is what the lines say in each place:

 

Line 130: include($module_directory . $file);

Line 33: class ht_theme_switcher {

 

Please help me if you can because I'm not quit brilliant with this hehehe

Share this post


Link to post
Share on other sites

Dear Jim and dear all,

 

I have been figuring this out as a complete blonde newbie ;) But not I can't go on since I dont understand what I have done wrong :( I have a complete new shop - unmodified and have triple checked that I have put all the files where they are supposed to be but this is the error I get, I backtraced it and this is how it looks... any suggestions?

 

 

= = = = = = = = Backtrace = = = = = = = =

ht_theme_switcher.php is referenced in /home/urbanbe7/public_html/catalog/admin/modules.php on line 130 in a "include"

 

= = = = = = = = = = = = = = = = = = = = =

 

Fatal error: Cannot redeclare class ht_theme_switcher in /home/urbanbe7/public_html/catalog/includes/modules/header_tags/ht_theme_switcher.php on line 33

 

 

FYI here is what the lines say in each place:

 

Line 130: include($module_directory . $file);

Line 33: class ht_theme_switcher {

 

Please help me if you can because I'm not quit brilliant with this hehehe

 

 

In the meantime, I was able to get the theme switcher to work but only get a white color for all the page :(

Share this post


Link to post
Share on other sites

There are three files named ht_theme_switcher.php. Each one of those three is different. Are you absolutely certain you have each one in the proper place? To be certain, upload all three files again, keeping the directory structure the same.

 

It's also possible that this error message is wrong, and the true cause is something else. I have seen this happen when you have additional languages installed. If you have languages other than English, copy the file from catalog/includes/languages/english/modules/header_tags/ht_theme_switcher.php to catalog/includes/languages/<language>/modules/header_tags/ht_theme_switcher.php (Where <language> is the name of your other language directory.)

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Wow. Apparently you have all sorts of free time to do anything you want. Unfortunately I don't. No, there isn't a video, nor will there ever be one.

 

Regards

JIm


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

HI have installed theme switcher, I have even then gone back and replaced all the files with release and then the 2n realase and then the 3rd update, at each point I get the following error when added the module into header tags.

 

/public_html/includes/modules/header_tags/ht_theme_switcher.php on line 13

 

Line 13 is

 

class ht_theme_switcher {

 

 

Any Ideas Guys?

 

Ricardo

 

This is also this same error is appearing on the live site when an item chosen to view so is important to get sorted


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

It's hard to say when you don't actually give us the error message. My guess would be that you uploaded the files to the wrong place, but that's just a guess.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Having finally getting it working thanks to Jim making a change some where, however despite Redmond working I think (basically the colours I already had) however I install another and switch to it all that happens is my header box disappear and I am left with all the content on a complete white page?

 

Help...lol

 

Ricardo


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

Your new theme is incomplete or incorrect in some way. The most likely cause is an incompatible version, or failing to change the version number when required.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Your new theme is incomplete or incorrect in some way. The most likely cause is an incompatible version, or failing to change the version number when required.

 

Regards

Jim

 

Well i ahove tried it with several themes and am renaming the files as per instruction but they all do the same.

 

Can i just check I am just uploading the themename dir from within the development dir after renaming the jquery-ui-1.8.7.custom.css to the correct name


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

That should work. Try upgrading your copy of Jquery and JqueryUI to the current versions. You'll have to change the links to them in includes/template_top.php as well.

 

Regards

Jim

Edited by kymation

See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

just re-read the instructions and stumbled on something that may mean I doing something wrong:

 

Check that the Version setting in the right side box is 1.8.6

 

But all the themes i press on the highest there is 1.8.14?


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

That's why I suggested that you upgrade.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

That's why I suggested that you upgrade.

 

Regards

Jim

 

is it just the following lines I change in template_top?

 

<script type="text/javascript" src="ext/jquery/jquery-1.4.2.min.js"></script>

<script type="text/javascript" src="ext/jquery/ui/jquery-ui-1.8.6.min.js"></script>

 

<link rel="stylesheet" type="text/css" href="ext/jquery/fancybox/jquery.fancybox-1.3.4.css" />

<script type="text/javascript" src="ext/jquery/fancybox/jquery.fancybox-1.3.4.pack.js"></script>

 

and change all to 1.8.14?


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

No. The Jquery line (the first one) gets changed to the version of Jquery that you downloaded. The current release is 1.6.2. The second line is the Jquery UI, which is currently 1.8.14. The last two are for Fancybox, which shouldn't change unless you've updated that as well.

 

You need to make each of those match the filename of the version that you are using.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

No. The Jquery line (the first one) gets changed to the version of Jquery that you downloaded. The current release is 1.6.2. The second line is the Jquery UI, which is currently 1.8.14. The last two are for Fancybox, which shouldn't change unless you've updated that as well.

 

You need to make each of those match the filename of the version that you are using.

 

Regards

Jim

 

Please forgive me Jim,

 

I have changed the second line to 1.8.14

You quoted a couple of replies back that i need to upgrade to to the latest Jquery, where what when, all i did was install theme-switcher?


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

Theme Switcher is not the problem. The problem is that themes designed for one version of Jquery UI do not always work properly with a different version. This is a Jquery issue.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Theme Switcher is not the problem. The problem is that themes designed for one version of Jquery UI do not always work properly with a different version. This is a Jquery issue.

 

Regards

Jim

 

ok well updated the numbers and same thing happening


Complete Newbie On The Learn - Not A Programmer

But Learning As I Go

Share this post


Link to post
Share on other sites

Look at your site using your browser's View source. Is each one of the links in the Head section showing the correct file? Click on the link; if you get a Not Found message, you have done something wrong.

 

Regards

Jim


See my profile for a list of my addons and ways to get support.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×